'use strict';

const constant = require('./constant/constant.js');
const apiControllerPath = './controller';
var express = require('express');
var fs = require('fs');
var path = require('path');

var Routes = function (app) {

    var prefix = constant.ROUTE_PREFIX;
    // Configure API controller paths
    fs.readdirSync(path.resolve(__dirname, apiControllerPath)).forEach(routeName => {
        var router = express.Router();
        var DynamicController = require("./" + path.join(apiControllerPath, routeName));
        var controller = new DynamicController();
        controller.init(router);
        app.use('/' + prefix + '/' + path.parse(routeName).name, router);
    });

}

module.exports = Routes;